[jhc] Can't build 0.7.8

wren ng thornton wren at freegeek.org
Sun Jan 29 11:41:27 CET 2012


I just tried building 0.7.8 today and got this error:

     Overlapping instances for Error [String]
       arising from the superclasses of an instance declaration
                    at src/Util/ContextMonad.hs:15:9-45
     Matching instances:
       instance (transformers-
                   a) =>
                Error [a]
         -- Defined in transformers-
       instance [overlap ok] Error [String]
         -- Defined at src/Util/ContextMonad.hs:10:9-22
     In the instance declaration for `ContextMonad
                                        String (Either [String])'

Let me know if you need any more info.

Live well,

More information about the jhc mailing list